package admin.model.deepseek.req;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

/**
 * @author lj
 * @date 2025/2/23 13:31
 */
@Data
public class ChatRespType {

    /**
     * 一个 object，指定模型必须输出的格式。
     *
     * 设置为 { "type": "json_object" } 以启用 JSON 模式，该模式保证模型生成的消息是有效的 JSON。
     *
     * 注意: 使用 JSON 模式时，你还必须通过系统或用户消息指示模型生成 JSON。否则，模型可能会生成不断的空白字符，直到生成达到令牌限制，从而导致请求长时间运行并显得“卡住”。此外，如果 finish_reason="length"，这表示生成超过了 max_tokens 或对话超过了最大上下文长度，消息内容可能会被部分截断。
     *
     * type
     * string
     * Possible values: [text, json_object]
     *
     * Default value: text
     *
     * Must be one of text or json_object.
     */
    @SerializedName("type")
    private String type;
}
