package admin.model.deepseek.req;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

/**
 * @author lj
 * @date 2025/2/23 13:33
 */
@Data
public class ChatStreamOption {
    /**
     * 流式输出相关选项。只有在 stream 参数为 true 时，才可设置此参数。
     *
     * include_usage
     * boolean
     * 如果设置为 true，在流式消息最后的 data: [DONE] 之前将会传输一个额外的块。此块上的 usage 字段显示整个请求的 token 使用统计信息，而 choices 字段将始终是一个空数组。所有其他块也将包含一个 usage 字段，但其值为 null。
     */
    @SerializedName("include_usage")
    private Boolean includeUsage;

    @SerializedName("continuous_usage_stats")
    private Boolean continuousUsageStats;

//    @SerializedName("additional_prop1")
//    private String additionalProp1="{}";
}
