package admin.modules.chatgpt.domain;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* @author wk
* @date 2023-11-27
*/
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("chatgpt_role_desc")
public class ChatgptRoleDesc implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(type= IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "标题")
    @NotBlank
    private String title;

    @ApiModelProperty(value = "内容")
    private String description;

    @ApiModelProperty(value = "进入聊天提示内容")
    private String chat;

    @ApiModelProperty(value = "图片")
    @NotBlank
    private String image;

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "排序序号")
    @NotNull
    private BigDecimal sortNum;

    @ApiModelProperty(value = "上线状态")
    private Integer postStatus;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill= FieldFill.INSERT)
    private Date createDate;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill= FieldFill.INSERT_UPDATE)
    private Date updateDate;

    @ApiModelProperty(value = "角色类型")
    private String roleTypeId;

    @ApiModelProperty(value = "类别[1=角色对话，2=AI创作，3=首页]")
    private Integer classify;

    public void copyFrom(ChatgptRoleDesc source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}
