package admin.modules.chatgpt.service;

import admin.base.CommonService;
import admin.base.PageInfo;
import admin.modules.chatgpt.domain.ChatgptRole;
import admin.modules.chatgpt.service.dto.ChatgptRoleDto;
import admin.modules.chatgpt.service.dto.ChatgptRoleQueryCriteria;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Set;

/**
* @author wk
* @date 2023-11-27
*/
public interface ChatgptRoleService extends CommonService<ChatgptRole>  {

    static final String CACHE_KEY = "chatgptRole";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<ChatgptRoleDto>
    */
    PageInfo<ChatgptRoleDto> queryAll(ChatgptRoleQueryCriteria query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<ChatgptRoleDto>
    */
    List<ChatgptRoleDto> queryAll(ChatgptRoleQueryCriteria query);

    ChatgptRole getById(Integer id);
    ChatgptRoleDto findById(Integer id);

    /**
     * 插入一条新数据。
     */
    int insert(ChatgptRoleDto resources);
    int updateById(ChatgptRoleDto resources);
    int removeById(Integer id);
    int removeByIds(Set<Integer> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<ChatgptRoleDto> all, HttpServletResponse response) throws IOException;
}
