package admin.modules.chatgpt.service;

import admin.base.CommonService;
import admin.base.PageInfo;
import admin.modules.chatgpt.domain.ChatgptRoleType;
import admin.modules.chatgpt.service.dto.ChatgptRoleTypeDto;
import admin.modules.chatgpt.service.dto.ChatgptRoleTypeQueryCriteria;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Set;

/**
* @author wk
* @date 2023-11-27
*/
public interface ChatgptRoleTypeService extends CommonService<ChatgptRoleType>  {

    static final String CACHE_KEY = "chatgptRoleType";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<ChatgptRoleTypeDto>
    */
    PageInfo<ChatgptRoleTypeDto> queryAll(ChatgptRoleTypeQueryCriteria query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<ChatgptRoleTypeDto>
    */
    List<ChatgptRoleTypeDto> queryAll(ChatgptRoleTypeQueryCriteria query);

    ChatgptRoleType getById(String id);
    ChatgptRoleTypeDto findById(String id);

    /**
     * 插入一条新数据。
     */
    int insert(ChatgptRoleTypeDto resources);
    int updateById(ChatgptRoleTypeDto resources);
    int removeById(String id);
    int removeByIds(Set<String> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<ChatgptRoleTypeDto> all, HttpServletResponse response) throws IOException;
}
