package admin.modules.chatgpt.service;

import admin.base.CommonService;
import admin.base.PageInfo;
import admin.modules.chatgpt.domain.RiskControlWords;
import admin.modules.chatgpt.service.dto.RiskControlWordsDto;
import admin.modules.chatgpt.service.dto.RiskControlWordsQueryCriteria;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Set;

/**
* @author yan
* @date 2024-02-27
*/
public interface RiskControlWordsService extends CommonService<RiskControlWords>  {

    static final String CACHE_KEY = "riskControlWords";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<RiskControlWordsDto>
    */
    PageInfo<RiskControlWordsDto> queryAll(RiskControlWordsQueryCriteria query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<RiskControlWordsDto>
    */
    List<RiskControlWordsDto> queryAll(RiskControlWordsQueryCriteria query);

    RiskControlWords getById(Long id);
    RiskControlWordsDto findById(Long id);

    /**
     * 插入一条新数据。
     */
    int insert(RiskControlWordsDto resources);
    int updateById(RiskControlWordsDto resources);
    int removeById(Long id);
    int removeByIds(Set<Long> ids);

    /**
     *
     */
    void addAll(String words);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<RiskControlWordsDto> all, HttpServletResponse response) throws IOException;
}
