/*
 *  Copyright 2019-2020 Zheng Jie
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package admin.modules.chatgpt.service.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @website https://el-admin.vip
 * @description /
 * @author wk
 * @date 2023-11-27
 **/
@Data
public class ChatgptRoleDescDto implements Serializable {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String description;

    @ApiModelProperty(value = "进入聊天提示内容")
    private String chat;

    @ApiModelProperty(value = "图片")
    private String image;

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "排序序号")
    private BigDecimal sortNum;

    @ApiModelProperty(value = "上线状态")
    private Integer postStatus;

    @ApiModelProperty(value = "角色类型")
    private String roleTypeId;

    @ApiModelProperty(value = "类别[1=角色对话，2=AI创作，3=首页]")
    private Integer classify;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;



    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "角色prompt")
    private String roleMessage;

    @ApiModelProperty(value = "模型")
    private String model;

    @ApiModelProperty(value = "内容创意 该值越大，输出内容更加随机，推荐值：1")
    private Double temperature;

    @ApiModelProperty(value = "最大token")
    private Integer maxTokens;

    @ApiModelProperty(value = "质量概率 核心采样，指选用前多少概率质量的内容，推荐值：1")
    private Double topP;

    @ApiModelProperty(value = "重复词汇 输出文本同一个词汇出现情况，默认为0，值越大，重复性越小，推荐值：0")
    private Double presencePenalty;

    @ApiModelProperty(value = "罕见词汇 输出文本罕见词汇出现情况，默认为0，值越大，罕见词汇越多，推荐值：0")
    private Double frequencyPenalty;

    @ApiModelProperty(value = "回答数量 为每个问题回答的内容数量，当多个时，会消耗大量Token，推荐值：1")
    private Integer n;

    @ApiModelProperty(value = "类别名称")
    private String roleTypeName;
}
