/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package admin.modules.chatgpt.service.dto;

import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
* @website https://el-admin.vip
* @description /
* @author wk
* @date 2023-11-27
**/
@Data
public class ChatgptRoleDto implements Serializable {

            /** 唯一标识，自动递增 */
        private Integer id;

            /** 角色名称 */
        private String roleName;

            /** 角色prompt */
        private String roleMessage;

            /** 模型 */
        private String model;

            /** 创建时间 */
        private Timestamp createTime;

            /** 内容创意 该值越大，输出内容更加随机，推荐值：1 */
        private Double temperature;

            /** 最大token */
        private Integer maxTokens;

            /** 质量概率 核心采样，指选用前多少概率质量的内容，推荐值：1 */
        private Double topP;

            /** 重复词汇 输出文本同一个词汇出现情况，默认为0，值越大，重复性越小，推荐值：0 */
        private Double presencePenalty;

            /** 罕见词汇 输出文本罕见词汇出现情况，默认为0，值越大，罕见词汇越多，推荐值：0 */
        private Double frequencyPenalty;

            /** 回答数量 为每个问题回答的内容数量，当多个时，会消耗大量Token，推荐值：1 */
        private Integer n;
}
