package admin.rest;

import admin.resp.ApiResponse;
import admin.service.DeepSeekOpenApiService;
import admin.service.MaxkbOpenApiService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.websocket.Session;

/**
 * @author lj
 * @date 2025/2/23 13:35
 */
@RestController
@RequestMapping(value = "v1/openApi/")
@RequiredArgsConstructor
@Slf4j
public class OpenApiController {

    private final DeepSeekOpenApiService deepSeekOpenApiService;
    private final MaxkbOpenApiService maxkbOpenApiService;

    @PostMapping(value = "completions")
    public ApiResponse<Object> completions(@RequestParam String content){
        deepSeekOpenApiService.chatCompletions(content);
        return null;
    }


    @GetMapping("testOpen")
    public ApiResponse<Object> open(@RequestParam String applicationId){
        return maxkbOpenApiService.getMaxkbSessionId(applicationId);
    }


    @GetMapping("testcompletions")
    public void testcompletions(@RequestParam String chatId,
                                @RequestParam String message){
        maxkbOpenApiService.chatCompletions(message,"",chatId,null);
    }


    @GetMapping("aItalk")
    public void testcompletions(@RequestParam String message){
        maxkbOpenApiService.talk(message,null,null);
    }
}
